package com.goafanti.user.service;

import java.util.List;
import com.goafanti.common.bo.Result;
import com.goafanti.common.bo.fieldGlossoryBo;
import com.goafanti.common.model.UserIdentity;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.user.bo.Advertisings;
import com.goafanti.user.bo.AuditorUserIdentityDetailBo;
import com.goafanti.user.bo.UserIdentityBo;
import com.goafanti.user.bo.UserIdentityDetailAdminBo;
import com.goafanti.user.bo.UserSubscriberListBo;


public interface UserIdentityService {

	UserIdentity selectUserIdentityByUserId(String userId);

	UserIdentity insert(UserIdentity userIdentity);

	int updateByPrimaryKeySelective(UserIdentity userIdentity);

	UserIdentityBo selectUserIdentityBoByUserId(String uid);

	int updateByPrimaryKey(UserIdentity u);

	int saveUserIdentityProcess(Result res, UserIdentity u, String uid);

	int updateUserDetail(UserIdentity userIdentity, String saveSign, Integer level);

	UserIdentity insertByAdmin(UserIdentity ui, String saveSign);

	AuditorUserIdentityDetailBo selectAuditorUserIdentityByUserId(String uid);

	int updateUserDetailByAuditAdmin(UserIdentity ui, String aid, String mid, Integer level);

	Pagination<UserSubscriberListBo> listSubscriber(String url,String name, Integer level, String field, Integer province, Integer city,
			Integer area,Integer international, Integer pNo, Integer pSize);

	UserIdentityDetailAdminBo selectUserIdentityByUserIdAdmin(String uid);
	
	UserIdentityBo expertsDetail(String uid);

	Pagination<UserIdentityBo> expertsList(String name,String industry, Integer pNo, Integer pSize);

	List<fieldGlossoryBo> industryList();

	 
	 List<Advertisings> advertising();


	List<fieldGlossoryBo> domainList();
	
}
